%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-vfs
Version:          3.2.5
Release:          %mkrel 5
Group:            Development/Java
Summary:          JBoss Virtual File System
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-vfs/
Source0:          https://github.com/jbossas/jboss-vfs/archive/jboss-vfs-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
#BuildRequires:    mvn(org.apache.maven.plugins:maven-checkstyle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-annotations)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)

%description
This package contains the JBoss Virtual File System.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-vfs-jboss-vfs-%{namedversion}

rm -rf src/test/resources/vfs/test/zipeinit.jar
# break build see for e.g. jboss-metadata.spec
%pom_remove_plugin :maven-checkstyle-plugin

%build
# Skipped because jboss-test is not packaged yet
%mvn_build -f

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 3.2.5-5.mga6
+ Revision: 976431
- First rebuild of the java stack
- sync package jboss-vfs with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Jan 01 2015 daviddavid <daviddavid> 3.2.5-1.mga5
+ Revision: 807897
- Sync with fc21 (update to 3.2.5.Final)
- fix Group

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.2.2-2.mga4
+ Revision: 541955
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 3.2.2-1.mga4
+ Revision: 496613
- New version

* Sat Jan 12 2013 umeabot <umeabot> 3.0.1-2.mga3
+ Revision: 355179
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 05 2011 dmorgan <dmorgan> 3.0.1-1.mga2
+ Revision: 131967
- Fix typo
- Sync with fedora

  + gil <gil>
    - imported package jboss-vfs


* Tue Jul 05 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.1-1
- Initial packaging

